AggregatedLogDeletionService (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.logaggregation, class: AggregatedLogDeletionService

Package org.apache.hadoop.yarn.logaggregation

# Class AggregatedLogDeletionService

java.lang.Object
org.apache.hadoop.service.AbstractService
org.apache.hadoop.yarn.logaggregation.AggregatedLogDeletionService

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.hadoop.service.Service`

@LimitedPrivate({"yarn","mapreduce"}) public class AggregatedLogDeletionService extends org.apache.hadoop.service.AbstractService
A service that periodically deletes aggregated logs.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AggregatedLogDeletionService.LogDeletionTask`

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

  `org.apache.hadoop.service.Service.STATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AggregatedLogDeletionService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.apache.hadoop.conf.Configuration`
  `createConf()`
  `List<AggregatedLogDeletionService.LogDeletionTask>`
  `createLogDeletionTasks(org.apache.hadoop.conf.Configuration conf, long retentionSecs, org.apache.hadoop.yarn.api.ApplicationClientProtocol rmClient)`
  `protected org.apache.hadoop.yarn.api.ApplicationClientProtocol`
  `createRMClient()`
  `long`
  `getCheckIntervalMsecs()`
  `void`
  `refreshLogRetentionSettings()`
  `protected void`
  `serviceStart()`
  `protected void`
  `serviceStop()`
  `protected void`
  `stopRMClient()`

  ### Methods inherited from class org.apache.hadoop.service.AbstractService

  `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, serviceInit, setConfig, start, stop, toString, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AggregatedLogDeletionService

    public AggregatedLogDeletionService()

- ## Method Details

  - ### serviceStart

    protected void serviceStart() throws Exception
    Overrides:
      `serviceStart` in class `org.apache.hadoop.service.AbstractService`
    Throws:
      `Exception`

  - ### serviceStop

    protected void serviceStop() throws Exception
    Overrides:
      `serviceStop` in class `org.apache.hadoop.service.AbstractService`
    Throws:
      `Exception`

  - ### refreshLogRetentionSettings

    public void refreshLogRetentionSettings() throws IOException
    Throws:
      `IOException`

  - ### createLogDeletionTasks

    @VisibleForTesting public List<AggregatedLogDeletionService.LogDeletionTask> createLogDeletionTasks(org.apache.hadoop.conf.Configuration conf, long retentionSecs, org.apache.hadoop.yarn.api.ApplicationClientProtocol rmClient) throws IOException
    Throws:
      `IOException`

  - ### getCheckIntervalMsecs

    public long getCheckIntervalMsecs()

  - ### createConf

    protected org.apache.hadoop.conf.Configuration createConf()

  - ### createRMClient

    @VisibleForTesting protected org.apache.hadoop.yarn.api.ApplicationClientProtocol createRMClient() throws IOException
    Throws:
      `IOException`

  - ### stopRMClient

    @VisibleForTesting protected void stopRMClient()